
/*************************************************************************
------------------Header FILE---------------------------------------------
------This File contains differents functions which allow to communicate--
------with the device in order to move it---------------------------------
------They functions is a reunion of differents HPGL instructions that we-
------found in the manufacturer documentation.----------------------------
-------------------------------------by AUDUREAU YOAN---------------------
-------------------------------------& DURAND ANTOINE---------------------
*************************************************************************/

#ifndef CNC_MOVE_H_INCLUDED
#define CNC_MOVE_H_INCLUDED

unsigned char CNC_VELOCITY_SELECT(int PORT, unsigned char vs );
// Adjust the move speed on the axes X, and Y

unsigned char CNC_PLOT_ABSOLUTE(int PORT,int PosX,int PosY);
// Ablosutes coordinates on the axes X, and Y

unsigned char CNC_MOVE_XY(int PORT,int *X,int *Y,int *Z, unsigned char vs,int PosX,int PosY);
// Move at coordinates predefined on the axes X, and Y

unsigned char CNC_PLOT_RELATIVE(int PORT,int *X,int *Y,int *Z,int PosX,int PosY);
// Relatives coordinates on the axes X, and Y

unsigned char CNC_MOVE_Z(int PORT,int *X,int *Y, int *Z,unsigned char zd,int PosZ);
// Move at coordinates predefined on the axe Z
unsigned char CNC_ZAXIS_ABSOLUTE_MOVE(int PORT,int PosZ);
// Ablosutes coordinates on the axe X, and Y
unsigned char CNC_ZAXIS_RELATIVE_MOVE(int PORT,int *X,int *Y,int *Z,int PosZ);
// Relatives coordinates on the axe X, and Y

unsigned char CNC_VELOCITY_Z(int PORT,unsigned char zd);
// Adjust the move speed on the axe Z

void CNC_Init_XYZ(int PORT);
// Move

#endif // CNC_MOVE_H_INCLUDED

