/*************************************************************************
------------------Header FILE-------------------------------------------------
------This File contains differents functions which allow to change-------
------the device mode-----------------------------------------------------
------They functions is a reunion of differents HPGL instructions that we-
------found in the manufacturer documentation.----------------------------
-------------------------------------by AUDUREAU YOAN---------------------
-------------------------------------& DURAND ANTOINE---------------------
*************************************************************************/

#ifndef CNC_MODE_H_INCLUDED
#define CNC_MODE_H_INCLUDED

unsigned char CNC_OUTPUT_CURRENT_MODE(int PORT );   // read the current mode
unsigned char CNC_RETURN_LOCAL_MODE(int PORT);      // change to mode 0
unsigned char CNC_START_HPGL_LINE_MODE(int PORT);   // change to mode 2
unsigned char CNC_START_DCC_MODE(int PORT);         // change to mode 1
unsigned char CNC_START_HPGL_FILE_MODE(int PORT);   // change tomode  3
unsigned char CNC_HPGL_PLOTTER_OFF(int PORT);       // exit HPGL mode

#endif // CNC_MODE_H_INCLUDED
